Skip to content

References

All operations require authentication.

2 operationsv2/iam/reference
Agent setup

List actionsProduction

GET
/v2/iam/reference/action

Returns the IAM actions that can be used in policies. Set resourceType to keep only the actions of given resource types.

Query parameters

resourceType
string[]

Filter actions for specific resource types

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Action[]successful operation
action
read-only
string

Name of the action

categories
read-only
string[]

List of categories the action belongs to

description
read-only
string

Description of the action

hasQueryParameters
read-only
boolean

Whether you can use the action with additional parameters

resourceType
read-only
string

Resource type related to the action

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/iam/reference/action \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "action": "string", "categories": [ "string" ], "description": "string", "hasQueryParameters": true, "resourceType": "string" }]

List resource typesProduction

GET
/v2/iam/reference/resource/type

Returns the resource types known to IAM.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/iam/reference/resource/type \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]